Subject: Re: [bess] Last Call: <draft-ietf-bess-evpn-df-election-framework-06.txt> (Framework for EVPN Designated Forwarder Election Extensibility) to Proposed Standard

From: Neeraj Malhotra <[email-masked]>
Date: Mon, 17 Dec 2018 11:48:18 -0800

Hi,

Very solid and understandable. Couple of minor comments [NM]:

Section 2.1: Layer-2 devices are particularly susceptible to
forwarding loops because of the broadcast nature of the Ethernet
traffic.

[NM]: better to refer to "Layer-2 services" instead of "Layer-2
devices" as the CE or PE devices themselves may be layer-3 capable.

Section 4.2: Note that while the DF election algorithm in [RFC7432]
uses PE address and vlan as inputs, this document uses Ethernet Tag,
PE address and ESI as inputs.

[NM]: I think the text in this context uses "vlan" and "Ethernet Tag"
interchangeably. Since the above is trying to emphasize the use of
"ESI" in this document as the key differentiation, clearer to have
other two variables (vlan and PE address) read the same, or else it
makes you wonder if there is a difference between vlan and ethernet
tag in this context.

Thanks,

Neeraj

On Tue, Dec 4, 2018 at 4:59 PM The IESG <[email-masked]> wrote:

>
> The IESG has received a request from the BGP Enabled ServiceS WG (bess) to
> consider the following document: - 'Framework for EVPN Designated Forwarder
> Election Extensibility'
>   <draft-ietf-bess-evpn-df-election-framework-06.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2018-12-18. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of
> the Subject line to allow automated sorting.
>
> Abstract
>
>
>    The Designated Forwarder (DF) in EVPN networks is the Provider Edge
>    (PE) router responsible for sending broadcast, unknown unicast and
>    multicast (BUM) traffic to a multi-homed Customer Equipment (CE)
>    device, on a given VLAN on a particular Ethernet Segment (ES). The DF
>    is selected out of a list of candidate PEs that advertise the same
>    Ethernet Segment Identifier (ESI) to the EVPN network. By default,
>    EVPN uses a DF Election algorithm referred to as "Service Carving"
>    and it is based on a modulus function (V mod N) that takes the number
>    of PEs in the ES (N) and the VLAN value (V) as input. This default DF
>    Election algorithm has some inefficiencies that this document
>    addresses by defining a new DF Election algorithm and a capability to
>    influence the DF Election result for a VLAN, depending on the state
>    of the associated Attachment Circuit (AC). In addition, this document
>    creates a registry with IANA, for future DF Election Algorithms and
>    Capabilities. It also presents a formal definition and clarification
>    of the DF Election Finite State Machine.
>
>
>
>
>
> The file can be obtained via
>
> https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-df-election-framework/
>
> IESG discussion can be tracked via
>
> https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-df-election-framework/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>
>
>
>
> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>